Ошибка: модуль " @nuxtjs/vuetify` не найден. (версия V2.0.0-бета.2)


Ошибка: модуль " @nuxtjs/vuetify` не найден. (версия V2.0.0-бета.2)

04.06.2020 04:18:47 Просмотров 9 Источник

Из-за ошибки волокон на серверах cPanel/CentOS/Cloudlinux я использую v2.0.0-beta.2 из @nuxtjs/vuetify в своем приложении Nuxt.

Но npm возвращает ошибку при запуске сборки или разработки.

Нет проблем с v1. 11. 2, но версии alpha и beta имеют ошибку.

✖ Nuxt Fatal Error
Error: Module `@nuxtjs/vuetify` not found. Please ensure `@nuxtjs/vuetify` is in `devDependencies` and
installed. HINT: During build step, for npm/yarn, `NODE_ENV=production` or `--production` should NOT be
used.

2020-06-04_163704

пакет.в JSON

"devDependencies": {
    "@nuxtjs/vuetify": "^2.0.0-beta.2"
}

nuxt.config.js

buildModules: [
    '@nuxtjs/vuetify'
]
У вопроса есть решение - Посмотреть?

Ответы - Ошибка: модуль " @nuxtjs/vuetify` не найден. (версия V2.0.0-бета.2) / Error: Module `@nuxtjs/vuetify` not found. (v2.0.0-beta.2)

Является ответом!
Fred II

06.06.2020 07:09:47

Я удалил папку node_modules и повторно запустил npm install, и проблема была решена.

sharif_42

16.11.2020 12:23:23

Пройдите через команды ниже

  1. Удалить папки node_modules
  2. запустите npm i, если на вашем компьютере ранее был установлен npm, в противном случае запустите npm install, а затем запустите npm i .
  3. запустить npm run build
  4. запустить npm run start
Помочь в развитии проекта:
Закрыть X